'use client'

import { AuthGuard } from '@/components/auth-guard'
import { FulfillmentDetailedSuppliesTab } from '@/components/fulfillment-supplies/fulfillment-supplies/fulfillment-detailed-supplies-tab'
import { useRoleGuard } from '@/hooks/useRoleGuard'

export default function FulfillmentConsumablesPage() {
  useRoleGuard('FULFILLMENT')

  return (
    <AuthGuard>
      <div>
        <FulfillmentDetailedSuppliesTab />
      </div>
    </AuthGuard>
  )
}
